Get Recommended Content (for user)

Gets recommeneded content for a given object (ex. recommended posts for a user based on their previous actions, collaborative filtering, and tags associated with the content they interacted with).

Path Params
string
required
Defaults to 123
Body Params
object
object
required
string
enum
required
Defaults to article

The type of object that is being recommended.

string
enum
Defaults to liked

The primary positive indicator a user can take on the content type that's being recommended. This should be the action a user can take that you consider most important to indicating that an object appeals to their tastes. If value is not provided, it will default to "liked".

string
enum
Defaults to viewed

The secondary positive indicator a user can take on the content type that's being recommended. This should be the action a user can take that you consider to be important in indicating that an object appeals to their tastes. It will be weighted less than the primary positive relationship type, but still taken into account. If value is not provided, it will default to "viewed".

string
enum
Defaults to disliked

The primary negative action a user can take on the content type. This should be the action a user can take that you consider to be important in indicating that an object does not appeal to their tastes. Content that the user marked with this type will not be returned in recommendation results. If value is not provided, it will default to "disliked".

string
enum
Defaults to taggedWith

Set this relationship to the relationship you use to set tags on the content that is being recommended. If a value is not provided, "taggedWith" will be used by default.

string
enum
Defaults to tag

Set this relationship to the object you use for tags on the content that is being recommended. If a value is not provided, "tag" will be used by default.

coldstart_tag_ids
array of objects

You can use this option to provide some ids of tags you want to contribute to coldstart recommendations if no real recommendations are yet available for a user. If you provide one or more tag ids for this field, trending content from those tags will be used as coldstart recommendations when personalized recommendations are not available.

coldstart_tag_ids
filter_tag_ids
array of objects

You can use this option to provide ids of tags that will be used to filter the returned recommended content. If any tag ids are specified in this value, then a piece of recommended content will only be returned if it is tagged (using specified content_tagged_relationship_type) with all of the tags provided in this option.

filter_tag_ids
boolean

Default value is false. If set to true, an array called authors will be provided with each item, providing the authors of the recommended content. If this is set to true, then content_created_relationship_type must also be set.

string
enum

A relationship type that represents a user creating content in your data. Required if include_content_authors or exclude_content_from_followed is set to true.

boolean

Default value is false. If set to true, content that was created by authors that the user follows will be excluded. If set to true, content_created_relationship_type must also be set.

string
enum

A relationship type that represents a user following another user in your data. If exclude_content_from_followed is set to true and this value is not set, then it will default to followed.

string
enum

A relationship type that represents a user dismissing the recommendation of a piece of content in your data. If this param is not provided, it defaults to "dismissed".

integer
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json